import fire
import pandas as pd
from pathlib import Path


def convert(file: Path):
    # read csv
    pdf = pd.read_csv(file)

    # columns to delete
    to_del = ["left_servo_angle", "right_servo_angle", "wes_n", "wes_e", "wes_state"]

    # new columns
    new_c = [
        "pressure_ada",
        "pressure_dpl",
        "ada_vert_speed",
        "mea_mass",
        "abk_angle",
        "pin_quick_connector",
        "ada_state",
        "dpl_state",
        "abk_state",
        "mea_state",
        "pin_launch",
        "pin_expulsion",
    ]

    # drop columns
    df = pdf.drop(columns=to_del)
    # add new columns (all 0)
    for c in new_c:
        df[c] = 0

    # save to new file
    df.to_csv("gemini_rocket.csv", index=False)


def main():
    fire.Fire(convert)
